%define name	   c2hs
%define version    0.9.9
%define release    2mdk

Summary:      C->Haskell Interface Generator
Name: 	      %{name}
Version:      %{version}
Release:      %{release}
License:	  GPL
Group:        Development/Other
Source:       http://www.cse.unsw.edu.au/~chak/haskell/c2hs/%{name}-%{version}.tar.bz2
URL: 	      http://www.cse.unsw.edu.au/~chak/haskell/%{name}/
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root
Packager:     Daouda Lo <daouda@mandrakesoft.com>
#Requires:     ghc

%description
C->Haskell is an interface generator that simplifies the development
of Haskell bindings to C libraries.  The tool processes existing C
header files that determine data layout and function signatures on the
C side in conjunction with Haskell modules that specify Haskell-side
type signatures and marshaling details.  Hooks embedded in the Haskell
code signal access to C structures and functions -- they are expanded
by the interfacing tool in dependence on information from the
corresponding C header file.

Haskell 98 is "the" standard lazy functional programming language.
More info plus the language definition is at http://www.haskell.org/.

%prep
rm -rf $RPM_BUILD_ROOT
%setup

%build
./configure --prefix=$RPM_BUILD_ROOT%{_prefix}

make
make doc

%install
make prefix=$RPM_BUILD_ROOT%{_prefix} install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/man/man1/
install -c -m 644 $RPM_BUILD_DIR/%{name}-%{version}/doc/c2hs/man1/* $RPM_BUILD_ROOT%{_datadir}/man/man1/
bzip2 $RPM_BUILD_ROOT%{_datadir}/man/man1/*
rm -rf $RPM_BUILD_ROOT%{_docdir}/c2hs-0.9.9/c2hs/man1/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc c2hs/ChangeLog c2hs/TODO c2hs/COPYING c2hs/COPYING.LIB
%doc c2hs/README c2hs/AUTHORS
%doc build/doc/c2hs c2hs/tests c2hs/examples/libghttpHS
%{_bindir}/*
%{_libdir}/%{name}-%{version}/
%{_mandir}/man1/*

%changelog
* Wed Mar 20 2002 Daouda LO <daouda@mandrakesoft.com> 0.9.9-2mdk
- s/Copyright/License/

* Tue Mar 19 2002 Daouda LO <daouda@mandrakesoft.com> 0.9.9-1mdk
- contribs 




